import { Syncable } from '../sync';
import { Addressable } from '../digest';
declare class User extends Syncable implements Addressable {
    address: string;
    firstName: string;
    lastName: string;
    constructor(address: string, v?: Object);
    static toKey(address: string): Promise<string>;
    key(): string;
    setName(firstName: string, lastName: string): void;
}
export { User };
